# Uses of Enum Class
org.apache.sysds.runtime.transform.encode.ColumnEncoderBin.BinMethod

Packages that use ColumnEncoderBin.BinMethod
Package
Description
org.apache.sysds.runtime.compress.lib
org.apache.sysds.runtime.transform.encode

## Uses of ColumnEncoderBin.BinMethod in org.apache.sysds.runtime.compress.lib

Fields in org.apache.sysds.runtime.compress.lib declared as ColumnEncoderBin.BinMethod
Modifier and Type
Field
Description
`static ColumnEncoderBin.BinMethod`
CLALibBinCompress.`binMethod`

## Uses of ColumnEncoderBin.BinMethod in org.apache.sysds.runtime.transform.encode

Methods in org.apache.sysds.runtime.transform.encode that return ColumnEncoderBin.BinMethod
Modifier and Type
Method
Description
`ColumnEncoderBin.BinMethod`
ColumnEncoderBin.`getBinMethod()`
`static ColumnEncoderBin.BinMethod`
ColumnEncoderBin.BinMethod.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ColumnEncoderBin.BinMethod[]`
ColumnEncoderBin.BinMethod.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.transform.encode with parameters of type ColumnEncoderBin.BinMethod
Modifier
Constructor
Description
``
`ColumnEncoderBin(int colID, int numBin, ColumnEncoderBin.BinMethod binMethod)`